Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002544KdenliveUser Interfacepublic2012-03-15 13:462012-05-15 10:58
Reporterrbckman 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version10.04
Product Version 
Target VersionFixed in Version0.9 
Summary0002544: Crash on startup
DescriptionUsing the recent sunab packages kdenlive crashes on startup.

kdenlive 0.8.3+git20120315.8803ee16-0ubuntu0~sunab~lucid1
mlt 0.7.9+git20120314.47e40a51-0ubuntu0~sunab~lucid1
frei0r 1.3.0+git20111010.16cfe66a-0ubuntu0~sunab~lucid1


Application: Kdenlive (kdenlive), signal: Segmentation fault
[KCrash Handler]
0000006 0x080e3699 in ScopeManager::slotRequestFrame (this=0xb2bd040, widgetName=...) at /build/buildd/kdenlive-0.8.3+git20120315.8803ee16/src/scopes/scopemanager.cpp:181
0000007 0x0808f788 in ScopeManager::qt_metacall (this=0xb2bd040, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfe74b18)
    at /build/buildd/kdenlive-0.8.3+git20120315.8803ee16/obj-i486-linux-gnu/src/moc_scopemanager.cpp:87
0000008 0x04350c9a in QMetaObject::metacall (object=0xb2bd040, cl=QMetaObject::InvokeMetaMethod, idx=9, argv=0xbfe74b18) at kernel/qmetaobject.cpp:237
0000009 0x0435f3d5 in QMetaObject::activate (sender=0xaa12d50, m=0x445e0f8, local_signal_index=1, argv=0xbfe74b18) at kernel/qobject.cpp:3293
0000010 0x04364ac3 in QSignalMapper::mapped (this=0xaa12d50, _t1=...) at .moc/release-shared/moc_qsignalmapper.cpp:108
0000011 0x04365ddd in QSignalMapper::map (this=0xaa12d50, sender=0xa52dd58) at kernel/qsignalmapper.cpp:268
0000012 0x04365f6e in QSignalMapper::map (this=0xaa12d50) at kernel/qsignalmapper.cpp:257
0000013 0x0436603b in QSignalMapper::qt_metacall (this=0xaa12d50, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfe74cb8) at .moc/release-shared/moc_qsignalmapper.cpp:87
0000014 0x04350c9a in QMetaObject::metacall (object=0xaa12d50, cl=QMetaObject::InvokeMetaMethod, idx=8, argv=0xbfe74cb8) at kernel/qmetaobject.cpp:237
0000015 0x0435f3d5 in QMetaObject::activate (sender=0xa52dd58, m=0x8493830, local_signal_index=3, argv=0xbfe74cb8) at kernel/qobject.cpp:3293
0000016 0x01364a99 in QDockWidget::visibilityChanged (this=0xa52dd58, _t1=false) at .moc/release-shared/moc_qdockwidget.cpp:189
0000017 0x01367f1a in QDockWidget::event (this=0xa52dd58, event=0xbfe75124) at widgets/qdockwidget.cpp:1396
0000018 0x00f224dc in QApplicationPrivate::notify_helper (this=0x9fa5de0, receiver=0xa52dd58, e=0xbfe75124) at kernel/qapplication.cpp:4300
0000019 0x00f290f9 in QApplication::notify (this=0xbfe75794, receiver=0xa52dd58, e=0xbfe75124) at kernel/qapplication.cpp:4265
0000020 0x0096540a in KApplication::notify (this=0xbfe75794, receiver=0xa52dd58, event=0xbfe75124) at ../../kdeui/kernel/kapplication.cpp:302
0000021 0x0434ba3b in QCoreApplication::notifyInternal (this=0xbfe75794, receiver=0xa52dd58, event=0xbfe75124) at kernel/qcoreapplication.cpp:704
0000022 0x00f7f3da in QCoreApplication::sendEvent (this=0xb30e8b8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
0000023 QWidgetPrivate::hide_helper (this=0xb30e8b8) at kernel/qwidget.cpp:7282
0000024 0x00f88b40 in QWidget::setVisible (this=0xa52dd58, visible=false) at kernel/qwidget.cpp:7455
0000025 0x00f85ff0 in QWidget::hide (this=0xb30e8b8, mode=QWidgetPrivate::CloseWithEvent) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:489
0000026 QWidgetPrivate::close_helper (this=0xb30e8b8, mode=QWidgetPrivate::CloseWithEvent) at kernel/qwidget.cpp:7573
0000027 0x00f86178 in QWidget::close (this=0xa52dd58) at kernel/qwidget.cpp:7636
0000028 0x081292d0 in MainWindow (this=0xa0f68e8, MltPath=..., Url=..., clipsToLoad=..., parent=0x0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /build/buildd/kdenlive-0.8.3+git20120315.8803ee16/src/mainwindow.cpp:360
0000029 0x081059f1 in main (argc=5, argv=0xbfe759c4) at /build/buildd/kdenlive-0.8.3+git20120315.8803ee16/src/main.cpp:84
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0007935)
j-b-m (administrator)
2012-03-16 17:21

Thanks. This crash should now be fixed in git, will be in the next sunab update.
(0007945)
rbckman (reporter)
2012-03-27 10:25

THANK YOU! It's working now!

- Issue History
Date Modified Username Field Change
2012-03-15 13:46 rbckman New Issue
2012-03-16 17:21 j-b-m Note Added: 0007935
2012-03-16 17:21 j-b-m Assigned To => j-b-m
2012-03-16 17:21 j-b-m Status new => feedback
2012-03-27 10:25 rbckman Note Added: 0007945
2012-03-27 10:25 rbckman Status feedback => assigned
2012-03-27 12:44 j-b-m Status assigned => resolved
2012-03-27 12:44 j-b-m Fixed in Version => Recent git
2012-03-27 12:44 j-b-m Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version Recent git => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker